Skip to main content

Create Security Rule

POST 

/projects/:projectId/providers/Aruba.Network/vpcs/:vpcId/securityGroups/:securityGroupId/securityRules

Create Security Rule

Request

Path Parameters

    projectId stringrequired

    unique identifier of the project CMP

    vpcId stringrequired

    unique identifier of the vpc in which the security group has been created

    securityGroupId stringrequired

    unique identifier of the security group in which the security rule will be created

Query Parameters

    api-version string

    The requested API version

    Default value: 1

Body

the security rule to create

    metadata

    object

    Metadata of the resource

    name string

    Name of the resource

    location

    object

    Contains information about the Region of a resource

    value string

    Value of the region in which the resource will be located. Available regions at present:

    • ITBG-Bergamo

    For more information, check the documentation.

    tags string[]nullable

    List of tags for the resource

    properties

    object

    nullable

    Properties of a security rule

    direction RuleDirection (string)

    Direction of the rule. Admissible values:

    • Ingress
    • Egress

    Possible values: [Ingress, Egress]

    protocol string

    Name of the protocol. Admissible values:

    • ANY
    • TCP
    • UDP
    • ICMP
    port string

    Port can be set with different values, according to the protocol.

    • ANY and ICMP must not have a port
    • TCP and UPD can have
      • a single numeric port. For instance "80", "443" etc.
      • a port range. For instance "80-100"
      • the "*" value indicating any ports

    target

    object

    The target of the rule (source or destination according to the direction)

    kind EndpointTypeDto (string)

    Type of the target. Admissibile values.

    • Ip
    • SecurityGroup

    Possible values: [Ip, SecurityGroup]

    value string

    Value of the target. If kind = "Ip", the value must be a valid network address in CIDR notation (included 0.0.0.0/0) If kind = "SecurityGroup", the value must be a valid uri of any security group within the same vpc

Responses

Created

Schema

    metadata

    object

    nullable

    id stringnullable
    uri stringnullable
    name stringnullable

    location

    object

    nullable

    code stringnullable
    country stringnullable
    city stringnullable
    name stringnullable
    value stringnullable

    project

    object

    nullable

    id stringnullable
    folderId stringnullable
    tags string[]nullable

    category

    object

    nullable

    name stringnullable
    provider stringnullable

    typology

    object

    nullable

    id stringnullable
    name stringnullable
    creationDate date-timenullable
    createdBy stringnullable
    ownerId stringnullable
    updateDate date-timenullable
    updatedBy stringnullable
    version stringnullable
    createdUser stringnullable
    updatedUser stringnullable

    linkedResources

    object[]

    nullable

  • Array [

  • uri stringnullable
    strictCorrelation boolean
  • ]

  • managedBy stringnullable

    status

    object

    nullable

    state stringnullable
    creationDate date-timenullable

    disableStatusInfo

    object

    nullable

    isDisabled boolean
    reasons string[]

    previousStatus

    object

    nullable

    state stringnullable
    creationDate date-timenullable
    failureReason stringnullable

    error

    object

    nullable

    reason stringnullable
    message stringnullable

    properties

    object

    nullable

    linkedResources

    object[]

    nullable

  • Array [

  • uri stringnullable
    strictCorrelation boolean
  • ]

  • direction stringnullable

    Direction of the rule.

    protocol stringnullable

    Protocol

    port stringnullable

    Port range

    target

    object

    nullable

    The target of the rule (source or destination according to the direction)

    kind EndpointTypeDto (string)nullable

    Type of the target.

    Possible values: [Ip, SecurityGroup]

    value stringnullable

    Value of the target.

    data

    object

    nullable

    private

    object

    nullable

    unremovable boolean
Loading...